Package org.codehaus.classworlds

## Class ClassWorldReverseAdapter

- java.lang.Object
- - org.codehaus.plexus.classworlds.ClassWorld
  - - org.codehaus.classworlds.ClassWorldReverseAdapter

    @Deprecated
    public class ClassWorldReverseAdapter
    extends ClassWorld

Deprecated.
A reverse adapter for ClassWorlds

Author:
  Andrew Williams

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `disposeRealm​(java.lang.String id)` Deprecated.
`static ClassWorldReverseAdapter` `getInstance​(ClassWorld oldWorld)` Deprecated.
`ClassRealm` `getRealm​(java.lang.String id)` Deprecated.
`java.util.Collection` `getRealms()` Deprecated.
`ClassRealm` `newRealm​(java.lang.String id)` Deprecated.
`ClassRealm` `newRealm​(java.lang.String id, java.lang.ClassLoader classLoader)` Deprecated.

### Methods inherited from class org.codehaus.plexus.classworlds.ClassWorld

`addListener, getClassRealm, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassWorldReverseAdapter getInstance​(ClassWorld oldWorld)

Deprecated.

#### newRealm

    public ClassRealm newRealm​(java.lang.String id)
                        throws DuplicateRealmException

Deprecated.

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm​(java.lang.String id,
                               java.lang.ClassLoader classLoader)
                        throws DuplicateRealmException

Deprecated.

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm​(java.lang.String id)
                      throws NoSuchRealmException

Deprecated.

Overrides:
  `disposeRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm​(java.lang.String id)
                        throws NoSuchRealmException

Deprecated.

Overrides:
  `getRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealms

    public java.util.Collection getRealms()

Deprecated.

Overrides:
  `getRealms` in class `ClassWorld`